Subject: Re: [PATCH 0/2] x86,vdso: vdso build fixes and improvements

From: Stephen Rothwell <[email-masked]>
Date: Fri, 30 May 2014 15:42:29 +1000

Hi Andy,

On Thu, 29 May 2014 15:49:52 -0700 Andy Lutomirski <[email-masked]> wrote:
>
> On Thu, May 29, 2014 at 3:41 PM, Paul Gortmaker
> <[email-masked]> wrote:
> > On 14-05-29 05:57 PM, Andy Lutomirski wrote:
> >> Patch 1 causes make;make to behave similarly to make if vdso2c fails.
> >> Patch 2 hopefully fixes x86 crossbuilds on big-endian machines.  I don't
> >> have a big-endian machine to test on, though.
> >
> > Since the x86 builds are unconditionally failing as-is now in
> > linux-next, perhaps Stephen [Cc'd] can layer these on the top of
> > the tree he'll be making within the next couple of hours to give
> > them a big-endian test.

I added them just after the merge of the tip tree today and will keep
them there until they (or somo other solution) turn up some other way.

> Stephen, if you do this, could you also send me some of the build outputs:
> 
> arch/x86/vdso/*.so.dbg
> arch/x86/vdso/*-image-*.c
> 
> I'd like to verify that the output is correct.  It would be
> unfortunate if the cross-built kernel had some subtle error.

OK, I will send them in a separate email.

-- 
Cheers,
Stephen Rothwell                    [email-masked]